class CGameController;

class CMainController : public Obelisk::IMainController
{
public:
	CMainController(Obelisk::IObelisk* aObelisk);
	~CMainController();

	void Initialise();

	void OnNotify(int aMessage, int aData);
	void OnTimer();
	void OnDeactivate();
	void OnActivate();
	void OnKeyDown(Obelisk::EKey aKey);
	void OnKeyUp(Obelisk::EKey aKey);
	void ThreadFinished(Obelisk::IThread* aThread);

private:
	Obelisk::IObelisk *mObelisk;

	CGameController *mGameController;

	unsigned int mHighScore;
	void LoadHighScore();
};